package com.gree.mall.manager.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum MaterialFlagEnum implements BaseEnum {

    SAVE("SAVE","保存"),
    SUBMIT("SUBMIT","提交"),
    OK("OK","通过"),
    CANCEL("CANCEL","作废"),
    FAIL("FAIL","失败"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

}
